;****************************************************************************
;****************************************************************************
;*
;* core.inc
;*
;****************************************************************************
;****************************************************************************





%ifndef CORE_INC
%define CORE_INC

%include "defines.inc"

;****************************************************************************
;* Exported Symbols *********************************************************
;****************************************************************************
%ifdef CORE_NASM
global core_start
global core_exit
global core_print_info
global core_exception
global core_get_c64_cycles
global core_get_vc1541_cycles
global c64__1
global vc1541__1
%else
extern core_start
extern core_exit
extern core_print_info
extern core_exception
extern core_get_c64_cycles
extern core_get_vc1541_cycles
extern c64__1
extern vc1541__1
%endif



%endif
;********************************************* karsten.scheibler@bigfoot.de *

