;****************************************************************************
;****************************************************************************
;*
;* sid6581.inc
;*
;****************************************************************************
;****************************************************************************





%ifndef SID6581_INC
%define SID6581_INC

%include "defines.inc"

;****************************************************************************
;* Exported Symbols *********************************************************
;****************************************************************************
%ifdef SID6581_NASM
global sid6581_initialize
global sid6581_create_instance
global sid6581_destroy_instance
global sid6581_reset
global sid6581_dump
global sid6581_read
global sid6581_write
global sid6581_cycle
%else
extern sid6581_initialize
extern sid6581_create_instance
extern sid6581_destroy_instance
extern sid6581_reset
extern sid6581_dump
extern sid6581_read
extern sid6581_write
extern sid6581_cycle
%endif



;****************************************************************************
;* Module Data **************************************************************
;****************************************************************************
				struc sid6581
				alignb 4
d__sid6581_modul_id:		resd	1
				endstruc



;****************************************************************************
;* assign's & defines's *****************************************************
;****************************************************************************
%define SID6581_MODUL_ID	esi + sid6581__c64 + d__sid6581_modul_id



;****************************************************************************
;* Macro's ******************************************************************
;****************************************************************************
%macro SID6581_CALL_CREATE_INSTANCE 0
			call	sid6581_create_instance
%endmacro



%macro SID6581_CALL_DESTROY_INSTANCE 0
			call	sid6581_destroy_instance
%endmacro



%macro SID6581_CALL_RESET 0
			call	sid6581_reset
%endmacro



%macro SID6581_CALL_CYCLE 0-1
;			call	sid6581_cycle
%endmacro



%endif
;********************************************* karsten.scheibler@bigfoot.de *

