;****************************************************************************
;****************************************************************************
;*
;* print.nasm
;*
;****************************************************************************
;****************************************************************************





%define PRINT_NASM
%include "print.inc"
%include "syscall.inc"
%include "string.inc"



;****************************************************************************
;* print_text ***************************************************************
;****************************************************************************
section .text
print_text:
			push	dword ebx
			push	dword ecx
			push	dword edx
			push	dword ebp
			mov	dword ebp, esp
			mov	dword ecx, PRINT_MAX_STRING_LENGTH
			sub	dword esp, ecx
			mov	dword ebx, esp
			call	string_parse
			dec	dword eax
			mov	dword ecx, ebx
			mov	dword edx, eax
			SYS_WRITE  STDOUT
			mov	dword esp, ebp
			pop	dword ebp
			pop	dword edx
			pop	dword ecx
			pop	dword ebx
			ret



;****************************************************************************
;* print_string *************************************************************
;****************************************************************************
section .text
print_string:
			push	dword ebx
			push	dword ecx
			push	dword edx
			mov	dword ecx, PRINT_MAX_STRING_LENGTH
			sub	dword esp, ecx
			mov	dword ebx, esp
			call	string_parse
			dec	dword eax
			mov	dword ecx, ebx
			mov	dword edx, eax
			SYS_WRITE  STDOUT
			add	dword esp, PRINT_MAX_STRING_LENGTH
			pop	dword edx
			pop	dword ecx
			pop	dword ebx
			ret
;********************************************* karsten.scheibler@bigfoot.de *

